View Single Post
Old 05-10-11, 06:30 PM   #1
MaDDeePee
Registered User
 
Join Date: Aug 2010
Posts: 44
Default 270.41.xx breaks java with xinerama?

Two boards in one PC:

GTX 560ti, GT 520.

For that reason i need at least 270.41.xx to make X able to recognize my cards.

Problem with that:

The current available 270.41.03 and 270.41.06 are breaking java with xinerama.

Reproduce:

Install Sweethome3d 3d home model java program. ( http://www.sweethome3d.com )
Use either 270.41.03 or 270.41.06
Use at least 2 Screens (i am using 4) with Xinerama ENABLED (not twinview !)
start Sweethome3d:

Code:
maddeepee@MaDWorkStatioN /opt/SweetHome3D-3.2 $ ./SweetHome3D 
An irrecoverable stack overflow has occurred.
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x6d7a33c0, pid=4340, tid=1821096816
#
# JRE version: 6.0_24-b07
# Java VM: Java HotSpot(TM) Server VM (19.1-b02 mixed mode linux-x86 )
# Problematic frame:
# C  [libnvidia-glcore.so.270.41.03+0xc8d3c0]
#
# An error report file with more information is saved as:
# /tmp/hs_err_pid4340.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Now, either disable Xinerama or "force" a 260.19.44 driver over your running X (you wont get a screen with that driver and that cards from boot, but its working with a running system).

Sweethome3d is working with 260.19.44 libraries on GT520/GTX560ti @ Xinerama.

For that reason i think there is something wrong with 270.41.03 && 270.41.06.

Help MUCH appreciated!

Yours
MaDDeePee is offline   Reply With Quote